Subject: Re: linux-next: manual merge of the kspp tree with the wireless-drivers-next tree

From: Kees Cook <[email-masked]>
Date: Thu, 28 Oct 2021 09:14:58 -0700

On Thu, Oct 28, 2021 at 11:40:42AM +0300, Kalle Valo wrote:
> (adding Jakub and Dave so that they are aware of this)
> 
> Stephen Rothwell <[email-masked]> writes:
> 
> > Hi all,
> >
> > Today's linux-next merge of the kspp tree got a conflict in:
> >
> >   drivers/net/wireless/intel/iwlwifi/fw/api/tx.h
> >
> > between commit:
> >
> >   dc52fac37c87 ("iwlwifi: mvm: Support new TX_RSP and COMPRESSED_BA_RES versions")
> >
> > from the wireless-drivers-next tree and commit:
> >
> >   fa7845cfd53f ("treewide: Replace open-coded flex arrays in unions")
> >
> > from the kspp tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> I don't know what kspp tree is and either I don't know why they didn't
> submit the patch to wireless-drivers-next, so I assume they will handle
> the conflict as well. But I really prefer that they would submit patches
> to wireless-drivers-next instead to avoid unnecessary conflicts like
> this.

This was a treewide replacement with a dependent macro that was supposed
to be merged last cycle at rc1, but $shenanigans. Sorry for the conflict;
I'll make sure it is adjusted or called out for Linus when I send my
tree.

-- 
Kees Cook